import React from 'react';
import Button from '../../CommonComponent/ButtonComponent/ButtonComponent'
class DefaultComponent extends React.Component{
    constructor(props){
        super(props)
    }
    render(){
        return (
            <div className={'breakageContent'}>
            <p className={'currentTarget col333 font40'} ><span>任务目标:</span>请仔细检查非货道区是否有遗留的商品</p>
            <Button 
                 text={'有,扫码上报'} 
                 btnContainer={'col333 font30'} 
                 style={{marginTop:'150px',marginLeft:'50%',transform:'translate(-50%)'}} 
                 option={this.skipInputCode.bind(this)}
            />
            <Button 
                 text={'没有'} 
                 btnContainer={'col333 font30'} 
                 style={{marginTop:'30px',marginLeft:'50%',transform:'translate(-50%)'}} 
                 option={this.props.pullTaskList}
            />
         </div>
        )
    }
    skipInputCode(){
        this.props.changeCodePage(false)
    }
}
export default DefaultComponent;